[flake8]
extend-exclude = 
    hotpocket_backend/apps/*/migrations/*.py,
    node_modules/**/*.py,
    skel/*.py,
    skel/*/*.py,
    playground.py
ignore = E131,W503,W504
max-line-length = 119
hang-closing = False

[tool:pytest]
addopts = --disable-warnings
django_debug_mode = keep

[isort]
known_first_party=hotpocket_backend,hotpocket_backend_testing,hotpocket_common,hotpocket_soa,hotpocket_testing,hotpocket_workspace_tools
multi_line_output=3
include_trailing_comma=true
force_sort_within_sections=true
line_length=80
use_parentheses=true
combine_as_imports=true
star_first=true
extend_skip_glob=hotpocket_backend/apps/*/migrations/*.py

[mypy]
exclude = (apps/.+?/migrations/.+)|(ops/docker/.+)|(ops/metal/.+)|(testing/.+)

[mypy-celery.*]
ignore_missing_imports = true

[mypy-crispy_forms.*]
ignore_missing_imports = true

[mypy-django.*]
ignore_missing_imports = true

[mypy-gunicorn_worker_healthcheck.*]
ignore_missing_imports = true

[mypy-factory.*]
ignore_missing_imports = true

[mypy-pyquery.*]
ignore_missing_imports = true

[mypy-requests.*]
ignore_missing_imports = true

[mypy-social_core.*]
ignore_missing_imports = true
